/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\ClawOfHumus.cs
Lines of code: 49
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class ClawOfHumus : ExecutionersAxe
	{
		public override int ArtifactRarity{ get{ return 15; } }

		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public ClawOfHumus()
		{
			Name = "Claw Of Humus The Fire Guardian";
			Hue = 1161;
			WeaponAttributes.HitFireball = 25;
			WeaponAttributes.HitMagicArrow = 25;
			Attributes.WeaponSpeed = 40;
			Attributes.WeaponDamage = 50;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=100;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}

	/*	public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			pois = 0;
			fire = 100;
			phys = 0;

			cold = nrgy = chaos = 0;
		}*/

		public ClawOfHumus( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( Hue == 0x44F )
				Hue = 0x76D;
		}
	}
}